Package jgromacs.db

# Class AtomType

java.lang.Object
jgromacs.db.AtomType

All Implemented Interfaces:
  `Cloneable`

public class AtomType extends Object implements Cloneable
Objects of this class represent an atom type

## Constructor Summary

Constructors
Constructor
Description
`AtomType()`
Constructs a new AtomType object
`AtomType(int type)`
Constructs a new AtomType object of a given type
`AtomType(String code)`
Constructs a new AtomType object of given code

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Returns an identical AtomType object
`boolean`
`equals(Object other)`
Returns true if the two atom types are identical
`String`
`getCode()`
Returns the code of atom type
`String`
`getFullName()`
Returns the full name of atom type
`int`
`hashCode()`
Returns hash code
`String`
`toString()`
Returns the String representation of atom type

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AtomType

public AtomType()
Constructs a new AtomType object

### AtomType

public AtomType(int type)
Constructs a new AtomType object of a given type

Parameters:
  `type` - atom type

### AtomType

public AtomType(String code)
Constructs a new AtomType object of given code

Parameters:
  `code` - atom code

## Method Details

### getCode

public String getCode()
Returns the code of atom type

Returns:
  atom code

### getFullName

public String getFullName()
Returns the full name of atom type

Returns:
  atom name

### toString

public String toString()
Returns the String representation of atom type

Overrides:
  `toString` in class `Object`
Returns:
  String representation

### clone

public Object clone()
Returns an identical AtomType object

Overrides:
  `clone` in class `Object`
Returns:
  clone of the atom type

### equals

public boolean equals(Object other)
Returns true if the two atom types are identical

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the other atom type

### hashCode

public int hashCode()
Returns hash code

Overrides:
  `hashCode` in class `Object`